Subject: Re[2]: WinXP users without password and cygwin_logon_user
From: Pavel Tsekov <[email-masked]>
To: [email-masked]
Date: Fri, 5 Apr 2002 13:03:53 +0200

Hello Robert,

Friday, April 05, 2002, 12:50:26 PM, you wrote:

>> -----Original Message-----
>> From: Pavel Tsekov [mailto:[email-masked]] 
>> Sent: Friday, April 05, 2002 7:52 PM
>> To: [email-masked]
>> Subject: WinXP users without password and cygwin_logon_user
>> 
>> 
>> Hello, there! :)
>> 
>> I want to raise this issue again... In short
>> on my WinXP Home cygwin_logon_user fails to log
>> users without password set (or empty passwords - I dont know 
>> which is correct to be said). Is this a known issue ? The 
>> failed Win32 API is LogonUser. I red the MSDN docu on this 
>> API but it was of no help at all... I've tried several 
>> different ways to call LogonUser but to no avail:(
>> 
>> This issue affects the instructions in the inetutils README 
>> file which say that to run anonymous ftp you either have to 
>> use Guest or create an account without password named (or 
>> mapped) ftp. Still Guest is allowed without pass by 
>> LogonUser, but not any other accounts...

RC> There is a policy setting - prevent logons with blank passwords except
RC> for console users. You could try flipping that and see what happens.

Well, I think this doesn't help much with XP home - it doesn't allow
you to edit policies :) Or at least I can't find the tool which does
it :)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/